FLANG

Public Member Functions | Static Public Member Functions | List of all members
fir::BoxType Class Reference

`#include <flang/Optimizer/Dialect/FIRType.h>`

Inheritance diagram for fir::BoxType:

## Public Member Functions
mlir::Type | getEleTy () const
mlir::AffineMapAttr | getLayoutMap () const

## Static Public Member Functions
static BoxType | get (mlir::Type eleTy, mlir::AffineMapAttr map={})
static bool | kindof (unsigned kind)
static mlir::LogicalResult | verifyConstructionInvariants (mlir::Location, mlir::Type eleTy, mlir::AffineMapAttr map)

## Detailed Description

The type of a Fortran descriptor. Descriptors are tuples of information that describe an entity being passed from a calling context. This information might include (but is not limited to) whether the entity is an array, its size, or what type it has.

The documentation for this class was generated from the following files:

- include/flang/Optimizer/Dialect/FIRType.h
- lib/Optimizer/Dialect/FIRType.cpp